GET/v1/app-connections/{id}

Get an app connection

Retrieves an app connection by its identifier. Use id to select the connection; it must contain exactly 21 alphanumeric characters.

1 parameter
idstringrequired
The app connection identifier, exactly 21 alphanumeric characters.

1 status code
200Returns the app connection, including its identifier, display name, piece details, scope, status, and project associations.
createdstringrequired
displayNamestringrequired
externalIdstringrequired
flowIdsarray<string>optional
idstringrequired
metadataobjectoptional
ownerobjectoptional
ownerIdstringoptional
pieceNamestringrequired
pieceVersionstringrequired
platformIdstringoptional
preSelectForNewProjectsbooleanrequired
projectIdsarray<string>required
scopestringrequired
Allowed:PROJECTPLATFORM
statusstringrequired
Allowed:ACTIVEMISSINGERROR
typestringrequired
Allowed:OAUTH2PLATFORM_OAUTH2CLOUD_OAUTH2SECRET_TEXTBASIC_AUTHCUSTOM_AUTHNO_AUTH
updatedstringrequired
usingSecretManagerbooleanrequired

Error handling

The id path parameter must contain exactly 21 alphanumeric characters and identify the app connection to retrieve.